CompositeFormat (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3.text, class: CompositeFormat

# Class CompositeFormat

java.lang.Object
java.text.Format
org.apache.commons.lang3.text.CompositeFormat

All Implemented Interfaces:
  `Serializable, Cloneable`

@Deprecated public class CompositeFormat extends Format
Deprecated.
As of 3.6, use Apache Commons Text CompositeFormat.
Formats using one formatter and parses using a different formatter. An example of use for this would be a webapp where data is taken in one way and stored in a database another way.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Format

  `Format.Field`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeFormat(Format parser, Format formatter)`
  Deprecated.
  Create a format that points its parseObject method to one implementation and its format method to another.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StringBuffer`
  `format(Object obj, StringBuffer toAppendTo, FieldPosition pos)`
  Deprecated.
  Uses the formatter Format instance.
  `Format`
  `getFormatter()`
  Deprecated.
  Provides access to the parser Format implementation.
  `Format`
  `getParser()`
  Deprecated.
  Provides access to the parser Format implementation.
  `Object`
  `parseObject(String source, ParsePosition pos)`
  Deprecated.
  Uses the parser Format instance.
  `String`
  `reformat(String input)`
  Deprecated.
  Utility method to parse and then reformat a String.

  ### Methods inherited from class Format

  `clone, format, formatToCharacterIterator, parseObject`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeFormat

    public CompositeFormat(Format parser, Format formatter)
    Deprecated.
    Create a format that points its parseObject method to one implementation and its format method to another.
    Parameters:
      `parser` - implementation
      `formatter` - implementation

- ## Method Details

  - ### format

    public StringBuffer format(Object obj, StringBuffer toAppendTo, FieldPosition pos)
    Deprecated.
    Uses the formatter Format instance.
    Specified by:
      `format` in class `Format`
    Parameters:
      `obj` - the object to format
      `toAppendTo` - the `StringBuffer` to append to
      `pos` - the FieldPosition to use (or ignore).
    Returns:
      `toAppendTo`
    See Also:
      - `Format.format(Object, StringBuffer, FieldPosition)`

  - ### getFormatter

    public Format getFormatter()
    Deprecated.
    Provides access to the parser Format implementation.
    Returns:
      formatter Format implementation

  - ### getParser

    public Format getParser()
    Deprecated.
    Provides access to the parser Format implementation.
    Returns:
      parser Format implementation

  - ### parseObject

    public Object parseObject(String source, ParsePosition pos)
    Deprecated.
    Uses the parser Format instance.
    Specified by:
      `parseObject` in class `Format`
    Parameters:
      `source` - the String source
      `pos` - the ParsePosition containing the position to parse from, will be updated according to parsing success (index) or failure (error index)
    Returns:
      the parsed Object
    See Also:
      - `Format.parseObject(String, ParsePosition)`

  - ### reformat

    public String reformat(String input) throws ParseException
    Deprecated.
    Utility method to parse and then reformat a String.
    Parameters:
      `input` - String to reformat
    Returns:
      A reformatted String
    Throws:
      `ParseException` - thrown by parseObject(String) call